> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Payment Summary Report

> Start an asynchronous job to generate a Payment Summary report summarizing employee and contractor payments within a date range.



## OpenAPI

````yaml openapi/zeal-api.json post /reports/payment-summary
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /reports/payment-summary:
    post:
      summary: Create Payment Summary Report
      description: Create a payment summary report.
      operationId: create-a-payment-summary-report
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - pay_start_date
                - pay_end_date
                - companyID
                - media_type
              properties:
                pay_start_date:
                  type: string
                  description: >-
                    The first payment date this report should retrieve payments
                    for. Date should be in ISO-8601 format (YYYY-MM-DD).
                  format: date
                pay_end_date:
                  type: string
                  description: >-
                    The last payment date this report should retrieve payments
                    for. Date should be in ISO-8601 format (YYYY-MM-DD).
                  format: date
                companyID:
                  type: string
                  description: Zeal Company ID
                media_type:
                  type: string
                  description: >-
                    The type of format this report can be downloaded as. Payment
                    Summaries currently support "csv" and "pdf".
                  enum:
                    - csv
                    - pdf
                include_intl_contractors:
                  type: boolean
                  description: Include international contractors in this report
            examples:
              Request Example:
                value:
                  pay_start_date: '2023-12-01'
                  pay_end_date: '2023-12-28'
                  companyID: fc235f012bae46aa8a082f357715bcfa
                  media_type: pdf
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: true
                    data:
                      job_id: 76f8a4e0-f2a0-4dc0-9a1c-215e083de5eb
                      status: pending
                      request_body:
                        start_date: '2022-01-01'
                        end_date: '2022-03-28'
                        company_id: fc235f012bae46aa8a082f357715bcfa
                        media_type: pdf
                        has_live_key: true
                        report_format: payment_summary
                      created_at: '2023-12-25T18:52:43.138Z'
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                    default: true
                  data:
                    type: object
                    properties:
                      job_id:
                        type: string
                        example: 76f8a4e0-f2a0-4dc0-9a1c-215e083de5eb
                      status:
                        type: string
                        example: pending
                      request_body:
                        type: object
                        properties:
                          start_date:
                            type: string
                            example: '2022-01-01'
                          end_date:
                            type: string
                            example: '2022-03-28'
                          company_id:
                            type: string
                            example: fc235f012bae46aa8a082f357715bcfa
                          media_type:
                            type: string
                            example: pdf
                          has_live_key:
                            type: boolean
                            example: true
                            default: true
                          report_format:
                            type: string
                            example: payment_summary
                      created_at:
                        type: string
                        example: '2023-12-25T18:52:43.138Z'
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: false
                    errors:
                      - message: No start date found in query of request
                        code: 19
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                    default: true
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: No start date found in query of request
                        code:
                          type: integer
                          example: 19
                          default: 0
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````